[dart-announce] Breaking change 48167: remove support from legacy super-mixins from CFE

17 views
Skip to first unread message

'Slava Egorov' via Dart Announcements

unread,
Jan 19, 2022, 7:29:26 AMJan 19
to anno...@dartlang.org
We are planning to remove support for legacy super-mixins from CFE.

This feature has allowed the use of any class with non-Object superclasses as a mixin.

Analyzer has been issuing an error in such cases for a long time already, so we expect impact to be minimal. Only users that either don't run analysis on their code or suppress mixin_inherits_from_not_object error via ignore:-comments or analysis options will be affected.

See https://github.com/dart-lang/sdk/issues/48167 for more information and comment there if you have any concerns.

--
For more ways to connect visit https://dart.dev/community
Reply all
Reply to author
Forward
0 new messages